DIRNAME(1)

NOM
dirname - Supprimer le dernier composant d'un nom de fichier

SYNOPSIS
dirname [OPTION] NOM...

DESCRIPTION

Afficher le chemin de chaque NOM en le débarrassant de sa composante finale et des barres obliques de tête. Si NOM ne contient pas de « / », le symbole « . » (pour représenter le répertoire courant) est affiché.

-z, --zero
    Séparer chaque ligne par un caractère NUL (code ASCII zéro) plutôt que par un retour à la ligne

--help
    Afficher l'aide-mémoire et quitter

--version
    Afficher le nom et la version du logiciel et quitter

EXEMPLES

dirname /usr/bin/
    → « /usr »

dirname rep1/cha rep2/cha
    dirname rep1/cha rep2/cha → « rep1 » suivi de « rep2 »

dirname stdio.h
    → « . »

AUTEUR
Écrit par David MacKenzie et Jim Meyering.

SIGNALER DES BOGUES
Signaler toute anomalie de dirname à bug-coreutils@gnu.org
Page d'accueil de GNU coreutils : <http://www.gnu.org/software/coreutils/>
Aide générale sur l'utilisation des logiciels GNU : <http://www.gnu.org/gethelp/>
Signaler toute erreur de traduction de dirname à <http://translationproject.org/team/>

COPYRIGHT
Copyright © 2013 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou supérieures <http://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
basename(1), readlink(1)

La documentation complète pour dirname est disponible dans un manuel Texinfo. Si les programmes info et dirname sont correctement installés sur votre système, la commande

    info coreutils 'dirname invocation'

devrait vous donner accès au manuel complet (en anglais).

TRADUCTION
Cette page de manuel a été traduite par Michel Robitaille <robitail AT iro DOT umontreal DOT ca> et mise à jour pour Debian par Thomas Huriaux <thomas.huriaux@gmail.com> et les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.